/**
 * Ukázka konstrukce jedináčka Elvise
 * @author P.Herout
 */

public class Elvis {

  /** Jediná instance Elvise - opravdový Elvis je jen jeden */
  private static final Elvis INSTANCE = new Elvis(); 

  /************************************************************
   * Bezparametrický konstruktor - je volán pouze jednou.
   */
  private Elvis() {
    // zde akce vytvářející božského Elvise
  }

  /**
   * Statická tovární metoda
   * @returs jedinou instanci jedinečného Elvise
   */
  public static Elvis getElvis() {
    return INSTANCE;
  }    
  
////////////////////////////////////////////////////////////////
  /**
   * Příklad služeb, které Elvis poskytuje
   * @param jménoPísně jméno písně, kterou zazpívá
   */
  public void zpívej(String jménoPísně) {
     System.out.println("Originální Elvis zpívá: " + jménoPísně);
  }
}