/**
 * Ukázka konstrukce knihovní třídy
 * @author P.Herout
 */
public final class KnihovniTrida {

  /**
   * privátní konstruktor, aby nebylo možné vytvořit instanci třídy
   */
  private KnihovniTrida() {}
  
  /** Ludolfovo číslo */
  public static final double PI = Math.PI;
  
  /**
   * Vypočítá obvod kruhu o zadaném poloměru
   * 
   * @param poloměr poloměr kruhu
   * @returns obvod kruhu
   */
  public static double vypočtiObvodKruhu(double poloměr) {
    return 2 * PI * poloměr;
  }

  /**
   * Vypočítá obsah kruhu o zadaném poloměru
   * 
   * @param poloměr poloměr kruhu
   * @returns obsah kruhu
   */
  public static double vypočtiObsahKruhu(double poloměr) {
    return PI * poloměr * poloměr;
  }
  
  ///////////////////////////////////////////////////////////////
  /**
   * Jen pro testovací účely
   */
  public static void main(String[] args) {
    double r = 1.0;
    System.out.println("Obvod pro r = " + r + " je: " +
                        vypočtiObvodKruhu(r));
    System.out.println("Obsah pro r = " + r + " je: " +
                        vypočtiObsahKruhu(r));
  }
}

