/***************************************************************
 * Třída {@code Hlavni} je hlavní třídou projektu,
 * který zobrazí krajinu a nechá projít jeden den
 *
 * @author    Pavel Herout
 * @version   2.00.000
 */
public class Hlavni {

  private Hlavni() {
    // prazdny konstruktor
  }
  /***********************************************************
   * Zpracuje jeden parametr příkazového řádku - rychlost posuvu
   * není-li zadán žádný parametr, vypíše návod
   *
   * @param args Parametry příkazového řádku
   * @returns zadanou rychlost
   */
  private static int zpracujParametry(String[] args) {
    if (args.length == 0) {
      návod();
    }
    return Integer.parseInt(args[0]);
  }

  /***********************************************************
   * Vypíše návod k použití
   * a ukončí násilně běh programu pomocí System.exit(1);
   */
  public static void návod() {
    System.out.println("Spuštění:\n" +
                       "  java Hlavni rychlost\n" +
                       "    kde rychlost <1, 10>");
    System.exit(1);
  }

  /***********************************************************
   * Metoda, prostřednictvím níž se spouští celá aplikace.
   *
   * @param args Parametry příkazového řádku
   */
  public static void main(String[] args) {
    int rychlost = zpracujParametry(args);
    new Krajina().jedenDen(rychlost);
//    Krajina krajina = new Krajina();
//    krajina.jedenDen(rychlost);
  }
}
