/***************************************************************
 * Instance třídy {@code Krajina} představují příklad použití
 * tvarů a stromů
 *
 * @author    Pavel Herout
 * @version   2.00.000
 */
public class Krajina {

//== KONSTANTNÍ ATRIBUTY TŘÍDY ================================
  private static final SpravcePlatna SP = SpravcePlatna.getInstance();

//== KONSTANTNÍ ATRIBUTY INSTANCÍ ===============================
  private final Strom strom;

//== PROMĚNNÉ ATRIBUTY INSTANCÍ ===============================
  // nemohou být konstantní, protože jsou vytvářeny v metodě vytvořDomek()
  private Obdelnik zed;
  private Trojuhelnik strecha;
  
//== PŘÍSTUPOVÉ METODY VLASTNOSTÍ TŘÍDY =======================
//== OSTATNÍ NESOUKROMÉ METODY TŘÍDY ==========================

//#############################################################
//== KONSTRUKTORY A TOVÁRNÍ METODY ============================

  /************************************************************
   * Vytvoří obrázek stromu a domku a zobrazí je na plátno
   */
  public Krajina() {
    strom = new Strom(50, 50);
    strom.zobraz();
    vytvorDomek();
  }

//== ABSTRAKTNÍ METODY ========================================
//== PŘÍSTUPOVÉ METODY VLASTNOSTÍ INSTANCÍ ====================

  /************************************************************
   * Zobrazí animaci jednoho dne ztvárněnou pohybem slunce
   * slunce se po vytvoření posune doleva z plátna 
   *   -- nelze jej vytvořit mimo plátno
   * pak se přesune přes celé plátno směrem doprava
   * 
   * @param rychlost rychlost přesouvání
   */
  public void jedenDen(int rychlost) {
    IO.zprava("Proběhne jeden den rychlostí " + rychlost);
    Presouvac pres = new Presouvac(rychlost);
    Elipsa slunce = new Elipsa(0, 5, 40, 40, Barva.ZLUTA);
    slunce.posunVpravo(-40);
    SP.pridej(slunce);
    pres.presunNa(500, 5, slunce);
  }
  
//== OSTATNÍ NESOUKROMÉ METODY INSTANCÍ =======================
//== SOUKROMÉ A POMOCNÉ METODY TŘÍDY ==========================
//== SOUKROMÉ A POMOCNÉ METODY INSTANCÍ =======================
  /************************************************************
   * Vytvoří domek a zobrazí jej na plátno
   */
  private void vytvorDomek() {
    strecha = new Trojuhelnik(180, 50, 200, 60, Barva.CERVENA);
    zed = new Obdelnik(200, 110, 160, 90, Barva.SVETLESEDA);
    SP.pridej(strecha);
    SP.pridej(zed);
  }
}
