import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;
/****************************************************************
 * Testovací třída {@code TestZdedenyCtverec} slouží ke komplexnímu otestování
 * třídy {@link TestZdedenyCtverec}.
 *
 * @author    jméno autora
 * @version   0.00.000
 */
public class TestZdedenyCtverec {

    private static final SpravcePlatna SP = SpravcePlatna.getInstance();

    //== PŘÍPRAVA A ÚKLID PŘÍPRAVKU ============================================

    /***************************************************************************
     * Inicializace předcházející spuštění každého testu a připravující tzv.
     * přípravek (fixture), což je sada objektů, s nimiž budou testy pracovat.
     */
    @Before
    public void setUp()
    {
    }


    /***************************************************************************
     * Úklid po testu - tato metoda se spustí po vykonání každého testu.
     */
    @After
    public void tearDown()
    {
    }

  @Test
  public void testKonstruktoru() {
    ZdedenyCtverec zc = new ZdedenyCtverec();
    SP.pridej(zc);
    assertEquals("Chybny rozmer: ", 100, zc.getSirka());
    assertEquals("Chybny rozmer: ", 100, zc.getVyska());
  }

  @Test
  public void testPosuvu() {
    ZdedenyCtverec zc = new ZdedenyCtverec();
    SP.pridej(zc);
    IO.zprava("Před posunem.");    
    zc.posunVpravo(150);
    zc.posunDolu(100);
    assertEquals("Chybna x-souradnice: ", 150, zc.getX());
    assertEquals("Chybna y-souradnice: ", 100, zc.getY());
  }
  
  @Test
  public void testZmenyRozmeru() {
    ZdedenyCtverec zc = new ZdedenyCtverec(100, 100, 50, Barva.CERVENA);
    SP.pridej(zc);
    IO.zprava("Před změnou rozměru.");
    zc.setRozmer(150);
    assertEquals("Chybny rozmer: ", 150, zc.getSirka());
    assertEquals("Chybny rozmer: ", 150, zc.getVyska());
    IO.zprava("Před změnou rozměru.");
    zc.setRozmer(100, 120);
    assertEquals("Chybny rozmer: ", 100, zc.getSirka());
    assertEquals("Chybny rozmer: ", 100, zc.getVyska());
  }
}
